Package weka.core.pmml.jaxbbindings

# Class DecisionTree

java.lang.Object
weka.core.pmml.jaxbbindings.DecisionTree

public class DecisionTree extends Object

Java class for DecisionTree element declaration.

The following schema fragment specifies the expected content contained within this class.

     <element name="DecisionTree">
       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}Output" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}ModelStats" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}Targets" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}LocalTransformations" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}ResultField" maxOccurs="unbounded" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}Node"/>
             </sequence>
             <attribute name="algorithmName" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="functionName" use="required" type="{http://www.dmg.org/PMML-4_1}MINING-FUNCTION" />
             <attribute name="missingValuePenalty" type="{http://www.dmg.org/PMML-4_1}PROB-NUMBER" default="1.0" />
             <attribute name="missingValueStrategy" type="{http://www.dmg.org/PMML-4_1}MISSING-VALUE-STRATEGY" default="none" />
             <attribute name="modelName" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="noTrueChildStrategy" type="{http://www.dmg.org/PMML-4_1}NO-TRUE-CHILD-STRATEGY" default="returnNullPrediction" />
             <attribute name="splitCharacteristic" default="multiSplit">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <enumeration value="binarySplit"/>
                   <enumeration value="multiSplit"/>
                 </restriction>
               </simpleType>
             </attribute>
           </restriction>
         </complexContent>
       </complexType>
     </element>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DecisionTree()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAlgorithmName()`
  Gets the value of the algorithmName property.
  `List<Extension>`
  `getExtension()`
  Gets the value of the extension property.
  `MININGFUNCTION`
  `getFunctionName()`
  Gets the value of the functionName property.
  `LocalTransformations`
  `getLocalTransformations()`
  Gets the value of the localTransformations property.
  `BigDecimal`
  `getMissingValuePenalty()`
  Gets the value of the missingValuePenalty property.
  `MISSINGVALUESTRATEGY`
  `getMissingValueStrategy()`
  Gets the value of the missingValueStrategy property.
  `String`
  `getModelName()`
  Gets the value of the modelName property.
  `ModelStats`
  `getModelStats()`
  Gets the value of the modelStats property.
  `Node`
  `getNode()`
  Gets the value of the node property.
  `NOTRUECHILDSTRATEGY`
  `getNoTrueChildStrategy()`
  Gets the value of the noTrueChildStrategy property.
  `Output`
  `getOutput()`
  Gets the value of the output property.
  `List<ResultField>`
  `getResultField()`
  Gets the value of the resultField property.
  `String`
  `getSplitCharacteristic()`
  Gets the value of the splitCharacteristic property.
  `Targets`
  `getTargets()`
  Gets the value of the targets property.
  `void`
  `setAlgorithmName(String value)`
  Sets the value of the algorithmName property.
  `void`
  `setFunctionName(MININGFUNCTION value)`
  Sets the value of the functionName property.
  `void`
  `setLocalTransformations(LocalTransformations value)`
  Sets the value of the localTransformations property.
  `void`
  `setMissingValuePenalty(BigDecimal value)`
  Sets the value of the missingValuePenalty property.
  `void`
  `setMissingValueStrategy(MISSINGVALUESTRATEGY value)`
  Sets the value of the missingValueStrategy property.
  `void`
  `setModelName(String value)`
  Sets the value of the modelName property.
  `void`
  `setModelStats(ModelStats value)`
  Sets the value of the modelStats property.
  `void`
  `setNode(Node value)`
  Sets the value of the node property.
  `void`
  `setNoTrueChildStrategy(NOTRUECHILDSTRATEGY value)`
  Sets the value of the noTrueChildStrategy property.
  `void`
  `setOutput(Output value)`
  Sets the value of the output property.
  `void`
  `setSplitCharacteristic(String value)`
  Sets the value of the splitCharacteristic property.
  `void`
  `setTargets(Targets value)`
  Sets the value of the targets property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DecisionTree

    public DecisionTree()

- ## Method Details

  - ### getExtension

    public List<Extension> getExtension()
    Gets the value of the extension property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

    For example, to add a new item, do as follows:

            getExtension().add(newItem);

    Objects of the following type(s) are allowed in the list `Extension`

  - ### getOutput

    public Output getOutput()
    Gets the value of the output property.
    Returns:
      possible object is `Output`

  - ### setOutput

    public void setOutput(Output value)
    Sets the value of the output property.
    Parameters:
      `value` - allowed object is `Output`

  - ### getModelStats

    public ModelStats getModelStats()
    Gets the value of the modelStats property.
    Returns:
      possible object is `ModelStats`

  - ### setModelStats

    public void setModelStats(ModelStats value)
    Sets the value of the modelStats property.
    Parameters:
      `value` - allowed object is `ModelStats`

  - ### getTargets

    public Targets getTargets()
    Gets the value of the targets property.
    Returns:
      possible object is `Targets`

  - ### setTargets

    public void setTargets(Targets value)
    Sets the value of the targets property.
    Parameters:
      `value` - allowed object is `Targets`

  - ### getLocalTransformations

    public LocalTransformations getLocalTransformations()
    Gets the value of the localTransformations property.
    Returns:
      possible object is `LocalTransformations`

  - ### setLocalTransformations

    public void setLocalTransformations(LocalTransformations value)
    Sets the value of the localTransformations property.
    Parameters:
      `value` - allowed object is `LocalTransformations`

  - ### getResultField

    public List<ResultField> getResultField()
    Gets the value of the resultField property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the resultField property.

    For example, to add a new item, do as follows:

            getResultField().add(newItem);

    Objects of the following type(s) are allowed in the list `ResultField`

  - ### getNode

    public Node getNode()
    Gets the value of the node property.
    Returns:
      possible object is `Node`

  - ### setNode

    public void setNode(Node value)
    Sets the value of the node property.
    Parameters:
      `value` - allowed object is `Node`

  - ### getAlgorithmName

    public String getAlgorithmName()
    Gets the value of the algorithmName property.
    Returns:
      possible object is `String`

  - ### setAlgorithmName

    public void setAlgorithmName(String value)
    Sets the value of the algorithmName property.
    Parameters:
      `value` - allowed object is `String`

  - ### getFunctionName

    public MININGFUNCTION getFunctionName()
    Gets the value of the functionName property.
    Returns:
      possible object is `MININGFUNCTION`

  - ### setFunctionName

    public void setFunctionName(MININGFUNCTION value)
    Sets the value of the functionName property.
    Parameters:
      `value` - allowed object is `MININGFUNCTION`

  - ### getMissingValuePenalty

    public BigDecimal getMissingValuePenalty()
    Gets the value of the missingValuePenalty property.
    Returns:
      possible object is `BigDecimal`

  - ### setMissingValuePenalty

    public void setMissingValuePenalty(BigDecimal value)
    Sets the value of the missingValuePenalty property.
    Parameters:
      `value` - allowed object is `BigDecimal`

  - ### getMissingValueStrategy

    public MISSINGVALUESTRATEGY getMissingValueStrategy()
    Gets the value of the missingValueStrategy property.
    Returns:
      possible object is `MISSINGVALUESTRATEGY`

  - ### setMissingValueStrategy

    public void setMissingValueStrategy(MISSINGVALUESTRATEGY value)
    Sets the value of the missingValueStrategy property.
    Parameters:
      `value` - allowed object is `MISSINGVALUESTRATEGY`

  - ### getModelName

    public String getModelName()
    Gets the value of the modelName property.
    Returns:
      possible object is `String`

  - ### setModelName

    public void setModelName(String value)
    Sets the value of the modelName property.
    Parameters:
      `value` - allowed object is `String`

  - ### getNoTrueChildStrategy

    public NOTRUECHILDSTRATEGY getNoTrueChildStrategy()
    Gets the value of the noTrueChildStrategy property.
    Returns:
      possible object is `NOTRUECHILDSTRATEGY`

  - ### setNoTrueChildStrategy

    public void setNoTrueChildStrategy(NOTRUECHILDSTRATEGY value)
    Sets the value of the noTrueChildStrategy property.
    Parameters:
      `value` - allowed object is `NOTRUECHILDSTRATEGY`

  - ### getSplitCharacteristic

    public String getSplitCharacteristic()
    Gets the value of the splitCharacteristic property.
    Returns:
      possible object is `String`

  - ### setSplitCharacteristic

    public void setSplitCharacteristic(String value)
    Sets the value of the splitCharacteristic property.
    Parameters:
      `value` - allowed object is `String`